task bcftools {

	Array[File] vcf
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		mkdir -p /cromwell_root/tmp/bcftools

		for i in ${sep=" " vcf}
		do
			bcftools view $i -Oz -o /cromwell_root/tmp/bcftools/$(basename $i.gz)
			bcftools index /cromwell_root/tmp/bcftools/$(basename $i.gz) -f
		done

		cd /cromwell_root/tmp/bcftools
		bcftools merge -m all -f PASS,. --force-samples *.gz | bcftools plugin fill-AN-AC | bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File panel_of_normal_vcf = "panel_of_normal.vcf"
	}
}